Skip to main content
PATCH

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

account_id
integer
required

ID of the account in which the source crawl is resolved.

knowledge_source_id
integer
required

ID of an account-owned crawl representing the source URL.

id
integer
required

ID of a document fetched by a crawl of this source URL.

Body

application/json

At least one of excluded or kept is required. Each value is a JSON boolean or literal string true/false. Unknown keys are ignored by the current controller.

excluded
required

Whether the document is excluded from answers.

kept

Whether purge should keep the document.

Response

Success; state and audit details are described on the published page.

Document state; no document body, chunk text, or embedding is returned.

id
integer
required

Account-owned document ID.

source_url
string
required

Untrusted URL of the crawled document.

excluded
boolean
required

Whether this document is excluded from answers.

kept
boolean

Whether purge should keep the document; present only when kept was requested.